# frozen_string_literal: true

# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!


module Google
  module Cloud
    module AutoML
      module V1
        # A definition of an annotation spec.
        # @!attribute [rw] name
        #   @return [::String]
        #     Output only. Resource name of the annotation spec.
        #     Form:
        #
        #     'projects/\\{project_id}/locations/\\{location_id}/datasets/\\{dataset_id}/annotationSpecs/\\{annotation_spec_id}'
        # @!attribute [rw] display_name
        #   @return [::String]
        #     Required. The name of the annotation spec to show in the interface. The name can be
        #     up to 32 characters long and must match the regexp `[a-zA-Z0-9_]+`.
        # @!attribute [rw] example_count
        #   @return [::Integer]
        #     Output only. The number of examples in the parent dataset
        #     labeled by the annotation spec.
        class AnnotationSpec
          include ::Google::Protobuf::MessageExts
          extend ::Google::Protobuf::MessageExts::ClassMethods
        end
      end
    end
  end
end
