# frozen_string_literal: true

# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!


module Google
  module Cloud
    module AutoML
      module V1
        # Contains annotation information that is relevant to AutoML.
        # @!attribute [rw] translation
        #   @return [::Google::Cloud::AutoML::V1::TranslationAnnotation]
        #     Annotation details for translation.
        # @!attribute [rw] classification
        #   @return [::Google::Cloud::AutoML::V1::ClassificationAnnotation]
        #     Annotation details for content or image classification.
        # @!attribute [rw] image_object_detection
        #   @return [::Google::Cloud::AutoML::V1::ImageObjectDetectionAnnotation]
        #     Annotation details for image object detection.
        # @!attribute [rw] text_extraction
        #   @return [::Google::Cloud::AutoML::V1::TextExtractionAnnotation]
        #     Annotation details for text extraction.
        # @!attribute [rw] text_sentiment
        #   @return [::Google::Cloud::AutoML::V1::TextSentimentAnnotation]
        #     Annotation details for text sentiment.
        # @!attribute [rw] annotation_spec_id
        #   @return [::String]
        #     Output only . The resource ID of the annotation spec that
        #     this annotation pertains to. The annotation spec comes from either an
        #     ancestor dataset, or the dataset that was used to train the model in use.
        # @!attribute [rw] display_name
        #   @return [::String]
        #     Output only. The value of
        #     {::Google::Cloud::AutoML::V1::AnnotationSpec#display_name display_name}
        #     when the model was trained. Because this field returns a value at model
        #     training time, for different models trained using the same dataset, the
        #     returned value could be different as model owner could update the
        #     `display_name` between any two model training.
        class AnnotationPayload
          include ::Google::Protobuf::MessageExts
          extend ::Google::Protobuf::MessageExts::ClassMethods
        end
      end
    end
  end
end
